aboutsummaryrefslogtreecommitdiff
path: root/security/sancp/pkg-deinstall
diff options
context:
space:
mode:
authorNiels Heinen <niels@FreeBSD.org>2005-06-07 20:56:27 +0000
committerNiels Heinen <niels@FreeBSD.org>2005-06-07 20:56:27 +0000
commit4c30e8b53d6f432c8c178c80447dbe6814f9b5b7 (patch)
treee073f415f50183e84d29a869a67836288677eb66 /security/sancp/pkg-deinstall
parent511afb5eb9d44c32bf65217f1cb44530a0839326 (diff)
New port based on submission by Paul Schmehl
Sancp is a network security tool designed to collect statistical information regarding network traffic, as well as, collect the traffic itself in pcap format, all for the purpose of: auditing, historical analysis, and network activity discovery. PR: ports/77426 Submitted by: Paul Schmehl Approved by: nectar (mentor)
Notes
Notes: svn path=/head/; revision=137010
Diffstat (limited to 'security/sancp/pkg-deinstall')
-rw-r--r--security/sancp/pkg-deinstall28
1 files changed, 28 insertions, 0 deletions
diff --git a/security/sancp/pkg-deinstall b/security/sancp/pkg-deinstall
new file mode 100644
index 000000000000..143ec1bc244c
--- /dev/null
+++ b/security/sancp/pkg-deinstall
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+PATH=/bin:/usr/sbin
+USER=sancp
+GROUP=${USER}
+LOG_DIR=/var/log/sancp
+
+# Remove the log directory
+if [ -d ${LOG_DIR} ];
+then
+ rmdir ${LOG_DIR} >/dev/null 2>&1;
+fi
+
+if pw user show "${USER}" >/dev/null 2>&1; then
+ if ! pw userdel ${USER} ;
+ then
+ echo "Unable to remove user: ${USER}, remove it manually"
+ fi
+fi
+
+
+if pw group show "${GROUP}" >/dev/null 2>&1; then
+ if ! pw groupdel ${GROUP} ;
+ then
+ echo "Unable to remove group: ${GROUP}, remove it manually"
+ fi
+fi
+